OSS C SDK provides an API for using OSS(Open Storage Service). It is intended to
be easy to use, comprehensive, and suitable for use from any C or C++ program.

#DEPENDENCE
OSS C SDK depends on third party libraries such as curl, apr, xml2.
Before you use OSS C sdk, please check you have installed the third party 
libraries. Here we refer third party libraries websites:

1. curl
website: http://curl.haxx.se
version: 7.42.1

2. apr
website: https://apr.apache.org
version: 1.5.2

3. apr-util
website: https://apr.apache.org
version: 1.5.4

4. xml2
website: http://xmlsoft.org
version: 2.9.1

#SETUP
OSS C SDK uses autoconf and automake to compile. compile_oss_sdk.sh is a tool 
which has basic setup steps. you can use compile_oss_sdk to get liboss_c_sdk.a

#NOTE
If you use OSS C SDK in embeded system, space may be considered. you could use 
the option CFLAGS='-Os' when you install the third party. Here we refer to 
some useful websites to minimize the space:

1. http://www.cokco.cn/thread-11777-1-1.html

2. http://curl.haxx.se/docs/install.html

#常见问题
(1)一键化安装oss c sdk，轻松搞定第三方库依赖： 
http://bbs.aliyun.com/read/261735.html?spm=5176.bbsl211.0.0.dHBf5C  

(2)oss c sdk在嵌入式环境下如何编译： 
http://bbs.aliyun.com/read/260851.html?spm=5176.bbsl211.0.0.OhQmqw 
 
(3)oss c sdk如何设置程序日志的输出： 
http://bbs.aliyun.com/read/261398.html?spm=5176.bbsl211.0.0.wQRbiw 
  
(4)oss c sdk如何设置通信时和CURL相关的一些参数： 
http://bbs.aliyun.com/read/261421.html?spm=5176.bbsl211.0.0.vfxfIg 
  
(5)oss c sdk利用CURL提供的Callback实现上传： 
http://bbs.aliyun.com/read/261452.html?spm=5176.bbsl211.0.0.0dSeEV 
 
(6)oss c sdk利用CURL提供的Callback实现数据下载： 
http://bbs.aliyun.com/read/261698.html?displayMode=1 

#联系我们
- 阿里云OSS官方网站 [http://oss.aliyun.com](http://oss.aliyun.com)
- 阿里云OSS官方论坛 [http://bbs.aliyun.com](http://bbs.aliyun.com)
- 阿里云OSS官方文档中心 [http://www.aliyun.com/product/oss#Docs](http://www.aliyun.com/product/oss#Docs)
- 阿里云官方技术支持 登录OSS控制台[https://home.console.aliyun.com]("交工单"https://home.console.aliyun.com)->点击"工单系统"
